|
@@ -1,27 +1,29 @@
|
|
|
- echo "--> Deploying to GitHub pages.."
|
|
|
- mkdir -p /tmp/deploy-$(ghpages_repo)
|
|
|
+#!/bin/bash
|
|
|
|
|
|
- # Custom steps
|
|
|
- rsync \
|
|
|
- --archive \
|
|
|
- --delete \
|
|
|
- --exclude=.git* \
|
|
|
- --exclude=node_modules \
|
|
|
- --exclude=lib \
|
|
|
- --itemize-changes \
|
|
|
- --checksum \
|
|
|
- --no-times \
|
|
|
- --no-group \
|
|
|
- --no-motd \
|
|
|
- --no-owner \
|
|
|
- ./website/public/ /tmp/deploy-$(ghpages_repo)
|
|
|
+echo "--> Deploying to GitHub pages.."
|
|
|
+mkdir -p /tmp/deploy-$(ghpages_repo)
|
|
|
|
|
|
- echo 'This branch is just a deploy target. Do not edit. You changes will be lost.' > /tmp/deploy-$(ghpages_repo)/README.md
|
|
|
+# Custom steps
|
|
|
+rsync \
|
|
|
+ --archive \
|
|
|
+ --delete \
|
|
|
+ --exclude=.git* \
|
|
|
+ --exclude=node_modules \
|
|
|
+ --exclude=lib \
|
|
|
+ --itemize-changes \
|
|
|
+ --checksum \
|
|
|
+ --no-times \
|
|
|
+ --no-group \
|
|
|
+ --no-motd \
|
|
|
+ --no-owner \
|
|
|
+./website/public/ /tmp/deploy-$(ghpages_repo)
|
|
|
|
|
|
- cd /tmp/deploy-$(ghpages_repo) \
|
|
|
- && git init && git checkout -B $(ghpages_branch) && git add --all . \
|
|
|
- && git commit -nm "Update $(ghpages_repo) website by $${USER}" \
|
|
|
- && (git remote add origin $(ghpages_url)|| true) \
|
|
|
- && git push origin $(ghpages_branch):refs/heads/$(ghpages_branch) --force
|
|
|
+echo 'This branch is just a deploy target. Do not edit. You changes will be lost.' > /tmp/deploy-$(ghpages_repo)/README.md
|
|
|
|
|
|
- rm -rf /tmp/deploy-$(ghpages_repo)
|
|
|
+cd /tmp/deploy-$(ghpages_repo) \
|
|
|
+ && git init && git checkout -B $(ghpages_branch) && git add --all . \
|
|
|
+ && git commit -nm "Update $(ghpages_repo) website by $${USER}" \
|
|
|
+ && (git remote add origin $(ghpages_url)|| true) \
|
|
|
+ && git push origin $(ghpages_branch):refs/heads/$(ghpages_branch) --force
|
|
|
+
|
|
|
+rm -rf /tmp/deploy-$(ghpages_repo)
|